Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.runtime.impl
Class RuntimePackageImpl

    java.lang.Object
      EPackageImpl
          org.eclipse.gmt.modisco.infra.query.runtime.impl.RuntimePackageImpl

All Implemented Interfaces:
  RuntimePackage

    public class RuntimePackageImpl

extends EPackageImpl
implements RuntimePackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.gmt.modisco.infra.query.runtime.RuntimePackage
`RuntimePackage.Literals`

Field Summary

Fields inherited from interface org.eclipse.gmt.modisco.infra.query.runtime.RuntimePackage
`eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, JAVA_EXCEPTION, MODEL_QUERY_CONTEXT, MODEL_QUERY_CONTEXT__SELECTED_MODEL_ELEMENTS, MODEL_QUERY_CONTEXT__SELECTED_MODELS, MODEL_QUERY_CONTEXT_FEATURE_COUNT, MODEL_QUERY_PARAMETER_VALUE, MODEL_QUERY_PARAMETER_VALUE__PARAMETER, MODEL_QUERY_PARAMETER_VALUE__VALUE, MODEL_QUERY_PARAMETER_VALUE_FEATURE_COUNT, MODEL_QUERY_RESULT, MODEL_QUERY_RESULT__EXCEPTION, MODEL_QUERY_RESULT__SOURCE, MODEL_QUERY_RESULT__VALUE, MODEL_QUERY_RESULT_FEATURE_COUNT`

Method Summary
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`EDataType` | `getJavaException()`
`EReference` | `getModelQueryContext_SelectedModelElements()`
`EAttribute` | `getModelQueryContext_SelectedModels()`
`EClass` | `getModelQueryContext()`
`EReference` | `getModelQueryParameterValue_Parameter()`
`EAttribute` | `getModelQueryParameterValue_Value()`
`EClass` | `getModelQueryParameterValue()`
`EAttribute` | `getModelQueryResult_Exception()`
`EReference` | `getModelQueryResult_Source()`
`EAttribute` | `getModelQueryResult_Value()`
`EClass` | `getModelQueryResult()`
`RuntimeFactory` | `getRuntimeFactory()`
`static RuntimePackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### init

    public static RuntimePackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `RuntimePackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `RuntimePackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getModelQueryContext

    public EClass getModelQueryContext()

  Specified by:
    `getModelQueryContext` in interface `RuntimePackage`
  Returns:
    the meta object for class 'Model Query Context'.
  See Also:
    `ModelQueryContext`

### getModelQueryContext_SelectedModelElements

    public EReference getModelQueryContext_SelectedModelElements()

  Specified by:
    `getModelQueryContext_SelectedModelElements` in interface `RuntimePackage`
  Returns:
    the meta object for the reference list 'Selected Model Elements'.
  See Also:
    `ModelQueryContext.getSelectedModelElements()`, `RuntimePackage.getModelQueryContext()`

### getModelQueryContext_SelectedModels

    public EAttribute getModelQueryContext_SelectedModels()

  Specified by:
    `getModelQueryContext_SelectedModels` in interface `RuntimePackage`
  Returns:
    the meta object for the attribute list 'Selected Models'.
  See Also:
    `ModelQueryContext.getSelectedModels()`, `RuntimePackage.getModelQueryContext()`

### getModelQueryParameterValue

    public EClass getModelQueryParameterValue()

  Specified by:
    `getModelQueryParameterValue` in interface `RuntimePackage`
  Returns:
    the meta object for class 'Model Query Parameter Value'.
  See Also:
    `ModelQueryParameterValue`

### getModelQueryParameterValue_Parameter

    public EReference getModelQueryParameterValue_Parameter()

  Specified by:
    `getModelQueryParameterValue_Parameter` in interface `RuntimePackage`
  Returns:
    the meta object for the reference 'Parameter'.
  See Also:
    `ModelQueryParameterValue.getParameter()`, `RuntimePackage.getModelQueryParameterValue()`

### getModelQueryParameterValue_Value

    public EAttribute getModelQueryParameterValue_Value()

  Specified by:
    `getModelQueryParameterValue_Value` in interface `RuntimePackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `ModelQueryParameterValue.getValue()`, `RuntimePackage.getModelQueryParameterValue()`

### getModelQueryResult

    public EClass getModelQueryResult()

  Specified by:
    `getModelQueryResult` in interface `RuntimePackage`
  Returns:
    the meta object for class 'Model Query Result'.
  See Also:
    `ModelQueryResult`

### getModelQueryResult_Source

    public EReference getModelQueryResult_Source()

  Specified by:
    `getModelQueryResult_Source` in interface `RuntimePackage`
  Returns:
    the meta object for the reference 'Source'.
  See Also:
    `ModelQueryResult.getSource()`, `RuntimePackage.getModelQueryResult()`

### getModelQueryResult_Value

    public EAttribute getModelQueryResult_Value()

  Specified by:
    `getModelQueryResult_Value` in interface `RuntimePackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `ModelQueryResult.getValue()`, `RuntimePackage.getModelQueryResult()`

### getModelQueryResult_Exception

    public EAttribute getModelQueryResult_Exception()

  Specified by:
    `getModelQueryResult_Exception` in interface `RuntimePackage`
  Returns:
    the meta object for the attribute 'Exception'.
  See Also:
    `ModelQueryResult.getException()`, `RuntimePackage.getModelQueryResult()`

### getJavaException

    public EDataType getJavaException()

  Specified by:
    `getJavaException` in interface `RuntimePackage`
  Returns:
    the meta object for data type 'Java Exception'.
  See Also:
    `Exception`

### getRuntimeFactory

    public RuntimeFactory getRuntimeFactory()

  Specified by:
    `getRuntimeFactory` in interface `RuntimePackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD